<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:ixsl="http://saxonica.com/ns/interactiveXSLT"
    expand-text="yes"
    version="3.0">
    
    <xsl:include href="render-results.xslt"/>
    
    <xsl:template name="initialize">
        <!-- Nothing (yet) -->
    </xsl:template>
    
    <xsl:template match="button[@id eq 'doc1']" mode="ixsl:onclick">
        <xsl:message>Started onclick of button with id {@id}</xsl:message>
        <xsl:call-template name="showdoc">
            <xsl:with-param name="uri" select="'redirect.php?actie=results&amp;domein=0&amp;conc=true&amp;xmlerror=true&amp;lemmodern=koe%2A&amp;wdb=onw%2Cvmnw%2Cmnw%2Cwnt%2Cwft&amp;sensitive=true&amp;start=1'"/>
            <xsl:with-param name="button-id" as="xs:string" select="@id"/>
        </xsl:call-template>
        <xsl:message>Completed onclick of button with id {@id}</xsl:message>
    </xsl:template>
    
    <xsl:template match="button[@id eq 'doc2']" mode="ixsl:onclick">
        <xsl:message>Started onclick of button with id {@id}</xsl:message>
        <xsl:call-template name="showdoc">
            <xsl:with-param name="uri" select="'redirect.php?actie=results&amp;domein=0&amp;conc=true&amp;xmlerror=true&amp;lemmodern=koe%2A&amp;wdb=onw%2Cvmnw%2Cmnw%2Cwnt%2Cwft&amp;sensitive=true&amp;start=251'"/>
            <xsl:with-param name="button-id" as="xs:string" select="@id"/>
        </xsl:call-template>
        <xsl:message>Completed onclick of button with id {@id}</xsl:message>
    </xsl:template>
    
    <xsl:template name="showdoc">
        <xsl:param name="uri" as="xs:string" required="yes"/>
        <xsl:param name="button-id" as="xs:string" required="yes"/>
        
        <xsl:message>showdoc started, uri={$uri}, button-id={$button-id}</xsl:message>
        
        <xsl:call-template name="deactivate"/>
        
        <ixsl:schedule-action document="{$uri}" wait="0">
            <xsl:call-template name="render-results">
                <xsl:with-param name="uri" select="$uri"/>
                <xsl:with-param name="button-id" as="xs:string" select="$button-id"/>
            </xsl:call-template>
        </ixsl:schedule-action>
        <xsl:message>showdoc completed, uri={$uri}</xsl:message>
    </xsl:template>
    
    <xsl:template name="render-results">
        <xsl:param name="uri" as="xs:string" required="yes"/>
        <xsl:param name="button-id" as="xs:string" required="yes"/>
        
        <xsl:message>render-results started, uri={$uri}, button-id={$button-id}</xsl:message>
        
        <xsl:result-document href="#doccontent" method="ixsl:replace-content">
            <h2>Results of pressing the button with id {$button-id}</h2>
            <xsl:apply-templates select="doc($uri)" mode="render-results"/>
        </xsl:result-document>
        
        <xsl:call-template name="reactivate"/>
        
        <xsl:message>render-results completed, uri={$uri}, button-id={$button-id}</xsl:message>
    </xsl:template>
    
    <xsl:template name="deactivate">
        <xsl:message>deactivate started</xsl:message>
        <xsl:for-each select="/html/body">
            <ixsl:set-style name="background-color" select="'gray'"/>
        </xsl:for-each>
        <xsl:message>deactivate completed</xsl:message>
    </xsl:template>
    
    <xsl:template name="reactivate">
        <xsl:message>reactivate started</xsl:message>
        <xsl:for-each select="/html/body">
            <ixsl:set-style name="background-color" select="'white'"/>
        </xsl:for-each>
        <xsl:message>reactivate completed</xsl:message>
    </xsl:template>
    
</xsl:stylesheet>